Author Topic: Can't install ArcaOS.  (Read 871 times)

Einar Lygre

  • Jr. Member
  • **
  • Thank You
  • -Given: 4
  • -Receive: 0
  • Posts: 65
    • View Profile
Can't install ArcaOS.
« on: November 07, 2017, 10:51:00 pm »

The problem is that ArcaOS can't see the volume I just created to install the os to. The volume is not in the target list.
A week ago I installed a new SSD disk and then installed eCS2.2b to it. Then I tried to install ArcaOS. The procedures are mutch the same for the two OS's. When I came to selecting the target volume, eCS (c:) showed up as the possible volume. Having a lot of place I created a new volume (d:) for ArcaOS. The next step was to select d: as the target volume, but the install program didn't list it as a possible target. Only c:. At the end I rebooted eCS and there the d: was available. I formatted it as  JFS and restarted the install program. No, it still was not available as a target volume. Using the Graphical Volume Manager I could check it. Ok, but it still doesn't appear in the list of target volumes. So I'm stuck. Just one strange thing. In the Graphical Volum Manager it says it is formatted as "JFS H". What does that means?
Any ideas about what to do?



Roderick Klein

  • Full Member
  • ***
  • Thank You
  • -Given: 0
  • -Receive: 8
  • Posts: 176
    • View Profile
Re: Can't install ArcaOS.
« Reply #1 on: November 07, 2017, 11:01:10 pm »
See if you can run a chkdsk on the volume via the installer GUI of ArcaOS. That is the only thing I can think of that causing this.

Andreas Schnellbacher

  • Full Member
  • ***
  • Thank You
  • -Given: 1
  • -Receive: 14
  • Posts: 249
    • View Profile
Re: Can't install ArcaOS.
« Reply #2 on: November 08, 2017, 01:48:22 am »
If you have tried it with ArcaOS 5.0, use 5.0.1. Several drivers were fixed in between.

Otherwise try the /VW option for ACPI.PSD. For me with my AMD hardware, it was required for 5.0, but not anymore for 5.0.1. Also the AHCI driver was updated.

Pete

  • Hero Member
  • *****
  • Thank You
  • -Given: 0
  • -Receive: 26
  • Posts: 540
    • View Profile
Re: Can't install ArcaOS.
« Reply #3 on: November 08, 2017, 04:41:10 am »
Hi Einar

Sounds like a familiar problem. Try adding the /R parameter to os2ahci.add in the preboot menu.


Regards

Pete

roberto

  • Sr. Member
  • ****
  • Thank You
  • -Given: 13
  • -Receive: 6
  • Posts: 316
    • View Profile
Re: Can't install ArcaOS.
« Reply #4 on: November 08, 2017, 08:37:37 am »
Update the airboot to 1.1.2, this is in arca50, in minilvm.
saludos

Roderick Klein

  • Full Member
  • ***
  • Thank You
  • -Given: 0
  • -Receive: 8
  • Posts: 176
    • View Profile
Re: Can't install ArcaOS.
« Reply #5 on: November 08, 2017, 08:59:40 am »
If you have tried it with ArcaOS 5.0, use 5.0.1. Several drivers were fixed in between.

Otherwise try the /VW option for ACPI.PSD. For me with my AMD hardware, it was required for 5.0, but not anymore for 5.0.1. Also the AHCI driver was updated.

Be carefull advising using the the /VW switch with ACPI on modern systems it can also result in peripherals in the system not working since they are no longer wired up on the mainboard correctly.

Remy

  • Jr. Member
  • **
  • Thank You
  • -Given: 0
  • -Receive: 6
  • Posts: 86
    • View Profile
Re: Can't install ArcaOS.
« Reply #6 on: November 08, 2017, 02:19:12 pm »
Use ArcaOS 5.0.1 but may be you'll need to get latest AHCI releaded driver which has corrected issue   ::)

Note: I've got a special 5.0.1 with updated AHCI driver to be able to well install ArcaOS on my system

Pete

  • Hero Member
  • *****
  • Thank You
  • -Given: 0
  • -Receive: 26
  • Posts: 540
    • View Profile
Re: Can't install ArcaOS.
« Reply #7 on: November 08, 2017, 04:11:30 pm »
Hi Remy

Is there a later os2ahci.add than v2.03 and has it been released?


Regards

Pete

Remy

  • Jr. Member
  • **
  • Thank You
  • -Given: 0
  • -Receive: 6
  • Posts: 86
    • View Profile
Re: Can't install ArcaOS.
« Reply #8 on: November 08, 2017, 11:55:57 pm »
Hi Remy

Is there a later os2ahci.add than v2.03 and has it been released?


Regards

Pete

With the build 5.0.1 package, the AHCI driver could not be correctly installed. After several searches, an updated ArcaOS 5.0.1 was proposed using same AHCI level which worked than and I could handle my disk like a charm . From what I could understand, the AHCI driver is the same 2.03 but its "compil" process was changed to prevent the installation issue I had.
The released AHCI 2.03 package from August is correct and works well.

Pete

  • Hero Member
  • *****
  • Thank You
  • -Given: 0
  • -Receive: 26
  • Posts: 540
    • View Profile
Re: Can't install ArcaOS.
« Reply #9 on: November 09, 2017, 03:32:04 am »
Hi Remy

The v2.03 driver works - but not as well as it should on some hardware which the 1.32 driver works much better with.

Reading your post made me wonder if I had missed an update but, it seems, I have not.


Regards

Pete

Einar Lygre

  • Jr. Member
  • **
  • Thank You
  • -Given: 4
  • -Receive: 0
  • Posts: 65
    • View Profile
Re: Can't install ArcaOS.
« Reply #10 on: November 14, 2017, 03:14:40 pm »
Thank you all for your answers.
The simple solution was to install AiR-BOOT. I would not do that because it has given me so much trouble that I had to give it up a couple of years ago. I now hope the problems are gone.